#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream f1("PT2.INP");
    int a,b,c;
    f1>>a>>b>>c;
    f1.close();
    ofstream f2("PT2.OUT");
    float d,e,g;
    d=float(b)*float(b)-(4*float(a)*float(c));
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(2);
if(a==0);
{
    if((b==0)&&(c==0))
    {
        f2<<"YES";
    }
    if((b!=0)&&(c!=0))
    {e=float(-c)/float(b);
    f2<<e;}
    if((b==0)&&(c!=0)) {f2<<"NO";}
}
if(a!=0)
   {

   if(d<0)
    {
    f2<<"NO";
    }
    if(d==0)
     {
         e=float(-b)/float(2*a);

        f2<<e<<' '<<e;
    }
    if(d>0)
    {
        e=(float(-b)-sqrt(d))/(float(2*a));
        g=(float(-b)+sqrt(d))/(float(2*a));
        f2<<e<<' '<<g;
    }}
    f2.close();
    return 0;
}
